### Function

# Gimp brush_get_hardness

#### Declaration [src]

    gdouble
    gimp_brush_get_hardness (
      const gchar* name
    )

#### Description [src]

Gets the hardness of a generated brush.

This procedure gets the hardness of a generated brush. The hardness of a brush is the amount its intensity fades at the outside edge, as a float between 0.0 and 1.0. If called for any other type of brush, the function does not succeed.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The brush name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gdouble`
| The hardness of the brush.